classification
Title: Derby #6: Convert 50 sites to Argument Clinic across 8 files
Type: enhancement Stage: patch review
Components: Argument Clinic, Extension Modules Versions: Python 3.5
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, benjamin.peterson, killerbat, larry, pdmccormick, pitrou, python-dev, serhiy.storchaka, stutzbach
Priority: normal Keywords: patch

Created on 2014-01-07 23:48 by larry, last changed 2019-06-19 20:49 by ZackerySpytz.

Files
File name Uploaded Description Edit
io_clinic.patch serhiy.storchaka, 2015-04-06 08:13 review
io_clinic_2.patch serhiy.storchaka, 2015-04-11 04:53 review
pdm-iofile_typo-v1.patch pdmccormick, 2015-04-16 15:23 Fixed typo in Modules/_io/fileio.c review
Pull Requests
URL Status Linked Edit
PR 14245 open ZackerySpytz, 2019-06-19 20:44
Messages (13)
msg207620 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-07 23:48
This issue is part of the Great Argument Clinic Conversion Derby,
where we're trying to convert as much of Python 3.4 to use
Argument Clinic as we can before Release Candidate 1 on January 19.

This issue asks you to change the following bundle of files:
    Modules/_io/bufferedio.c: 13 sites
    Modules/_io/bytesio.c: 6 sites
    Modules/_io/fileio.c: 6 sites
    Modules/_io/iobase.c: 4 sites
    Modules/_io/stringio.c: 5 sites
    Modules/_io/textio.c: 8 sites
    Modules/_multiprocessing/multiprocessing.c: 3 sites
    Modules/_multiprocessing/semaphore.c: 5 sites

Talk to me (larry) if you only want to attack part of a bundle.

For instructions on how to convert a function to work with Argument
Clinic, read the "howto":
    http://docs.python.org/dev/howto/clinic.html
msg207764 - (view) Author: Brian Morrow (killerbat) Date: 2014-01-09 17:54
I'll gladly take this bundle.
msg207825 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-10 02:33
Go for it!

That's weird.  Why can't I assign it to you?  Have you not signed and submitted a Python contributor agreement?
msg207826 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-01-10 02:33
Oops, sorry kbk.
msg224757 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-08-04 20:12
All the Derby patches should only go into trunk at this point.
msg240146 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-06 08:13
Proposed patch converts the _io module to Argument Clinic. Total 86 methods are converted.
msg240461 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-11 04:53
Updated to the tip.
msg241207 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-04-16 08:26
New changeset 49007ed1a1a5 by Serhiy Storchaka in branch 'default':
Issue #20175: Converted the _io module to Argument Clinic.
https://hg.python.org/cpython/rev/49007ed1a1a5
msg241208 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-04-16 08:59
New changeset 2d8e4047c270 by Serhiy Storchaka in branch '3.4':
Backported tests from issue #20175.
https://hg.python.org/cpython/rev/2d8e4047c270

New changeset 867c509c8c5e by Serhiy Storchaka in branch '2.7':
Backported tests from issue #20175.
https://hg.python.org/cpython/rev/867c509c8c5e
msg241209 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-04-16 08:59
Thank you for your review Larry.
msg241222 - (view) Author: Peter McCormick (pdmccormick) * Date: 2015-04-16 15:23
The smallest of typo fixes.
msg242474 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-03 13:21
Thanks Peter for the fix. Applied by Christian in 743c54a2830f.
msg346086 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-06-19 20:49
PR 14245 converts Modules/_multiprocessing/semaphore.c and Modules/_multiprocessing/multiprocessing.c.
History
Date User Action Args
2019-06-19 20:49:12ZackerySpytzsetnosy: + ZackerySpytz
messages: + msg346086
2019-06-19 20:44:12ZackerySpytzsetpull_requests: + pull_request14080
2015-05-03 13:21:14serhiy.storchakasetmessages: + msg242474
2015-04-16 15:23:23pdmccormicksetfiles: + pdm-iofile_typo-v1.patch

messages: + msg241222
2015-04-16 13:32:55pdmccormicksetnosy: + pdmccormick
2015-04-16 08:59:46serhiy.storchakasetmessages: + msg241209
2015-04-16 08:59:00python-devsetmessages: + msg241208
2015-04-16 08:26:42python-devsetnosy: + python-dev
messages: + msg241207
2015-04-11 04:53:34serhiy.storchakasetfiles: + io_clinic_2.patch

messages: + msg240461
2015-04-06 08:13:10serhiy.storchakasetfiles: + io_clinic.patch

nosy: + stutzbach, pitrou, serhiy.storchaka, benjamin.peterson
messages: + msg240146

keywords: + patch
stage: needs patch -> patch review
2015-02-25 15:27:30serhiy.storchakasetcomponents: + Argument Clinic
2014-08-04 20:12:50larrysetmessages: + msg224757
versions: + Python 3.5, - Python 3.4
2014-01-10 02:33:58larrysetassignee: kbk ->

messages: + msg207826
nosy: - kbk
2014-01-10 02:33:19larrysetassignee: kbk

messages: + msg207825
nosy: + kbk
2014-01-09 17:54:45killerbatsetmessages: + msg207764
2014-01-09 17:15:29killerbatsetnosy: + killerbat
2014-01-08 01:36:37r.david.murraylinkissue20187 dependencies
2014-01-07 23:53:29larrysetversions: + Python 3.4
2014-01-07 23:52:46larrysettype: behavior -> enhancement
2014-01-07 23:48:19larrycreate